package cn.com.infosec.asn1.cmp;

import cn.com.infosec.asn1.ASN1Encodable;
import cn.com.infosec.asn1.ASN1Sequence;
import cn.com.infosec.asn1.DERInteger;
import cn.com.infosec.asn1.DERObject;

public class POPODecKeyRespContent extends ASN1Encodable {
   private ASN1Sequence content;

   private POPODecKeyRespContent(ASN1Sequence seq) {
      this.content = seq;
   }

   public static POPODecKeyRespContent getInstance(Object o) {
      if (o instanceof POPODecKeyRespContent) {
         return (POPODecKeyRespContent)o;
      } else if (o instanceof ASN1Sequence) {
         return new POPODecKeyRespContent((ASN1Sequence)o);
      } else {
         throw new IllegalArgumentException("Invalid object: " + o.getClass().getName());
      }
   }

   public DERInteger[] toDERIntegerArray() {
      int var1;
      DERInteger[] var2 = new DERInteger[var1 = this.content.size()];

      for(int var3 = 0; var3 != var1; ++var3) {
         var2[var3] = DERInteger.getInstance(this.content.getObjectAt(var3));
      }

      return var2;
   }

   public DERObject toASN1Object() {
      return this.content;
   }
}
